#include <vcl.h>
#pragma hdrstop

#include "CMemo.h"
#pragma link "CEdit"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck est utilisé pour être sûr que les composants créés ne
// contiennent aucune fonction virtuelle pure.
//

static inline void ValidCtrCheck(CMemo *)
    {
    new CMemo(NULL);
    }



//////////////////////////////////////
//
// CMemo
//
// Fonction: Constructeur
//
// P.E.:
//
// P.S.: AUCUN
//
//////////////////////////////////////
__fastcall CMemo::CMemo(TComponent* Owner)
    : CEdit(Owner)
    {
    inherited::WordWrap         = true;
    inherited::WantReturns      = true;
    inherited::AutoSize         = false;
    inherited::AutoSelect       = true;
    Height                      = 90;
    Width                       = 185;
    m_Reference                 = EmptyStr;
    }

void __fastcall CMemo::CreateParams(Controls::TCreateParams &Params)
{
inherited::CreateParams(Params);

// Annulation de cette correction car elle est annulée dans le CEdit
//Params.Style |= ES_MULTILINE;
}

AnsiString __fastcall CMemo::GetReference(void)
{
  return Reference;
}

namespace Cmemo
    {
    void __fastcall PACKAGE Register()
        {
        TComponentClass classes[1] = {__classid(CMemo)};
        RegisterComponents("EIC Ctrlstd", classes, 0);
        }
    }

